VERSION 5.00
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "MSFLXGRD.OCX"
Begin VB.Form frmRunning 
   Caption         =   "Run Status"
   ClientHeight    =   5295
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8310
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   ScaleHeight     =   5295
   ScaleWidth      =   8310
   Begin VB.CommandButton cmdRefresh 
      Caption         =   "&Refresh"
      Height          =   375
      Left            =   5760
      TabIndex        =   6
      Top             =   4800
      Width           =   1095
   End
   Begin VB.CommandButton cmdStopRun 
      Caption         =   "&Stop Run"
      Height          =   375
      Left            =   7080
      TabIndex        =   7
      Top             =   4800
      Width           =   1095
   End
   Begin VB.Frame fraRunSteps 
      Caption         =   "Currently executing steps"
      Height          =   2415
      Left            =   120
      TabIndex        =   4
      Top             =   2160
      Width           =   8055
      Begin MSFlexGridLib.MSFlexGrid msSteps 
         Height          =   1815
         Left            =   240
         TabIndex        =   5
         Top             =   300
         Width           =   7575
         _ExtentX        =   13361
         _ExtentY        =   3201
         _Version        =   393216
         Cols            =   6
         FixedCols       =   0
         AllowUserResizing=   1
      End
   End
   Begin VB.Frame fraWorkspace 
      Caption         =   "Workspace Details"
      Height          =   1815
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   8055
      Begin VB.TextBox txtLog 
         BackColor       =   &H8000000F&
         Height          =   375
         Left            =   960
         Locked          =   -1  'True
         TabIndex        =   3
         Top             =   1320
         Width           =   6855
      End
      Begin VB.TextBox txtWspElapsedTime 
         BackColor       =   &H8000000F&
         Height          =   375
         Left            =   240
         Locked          =   -1  'True
         TabIndex        =   2
         Top             =   840
         Width           =   7575
      End
      Begin VB.TextBox txtWspRunStart 
         BackColor       =   &H8000000F&
         Height          =   375
         Left            =   240
         Locked          =   -1  'True
         TabIndex        =   1
         Top             =   360
         Width           =   7575
      End
      Begin VB.Label lblRunLog 
         AutoSize        =   -1  'True
         Caption         =   "Run Log:"
         Height          =   195
         Left            =   240
         TabIndex        =   9
         Top             =   1410
         Width           =   660
      End
   End
   Begin VB.Timer tmrPoll 
      Enabled         =   0   'False
      Interval        =   1000
      Left            =   120
      Top             =   4800
   End
   Begin VB.Label lblWspStartHide 
      Enabled         =   0   'False
      Height          =   255
      Left            =   1080
      TabIndex        =   8
      Top             =   4800
      Visible         =   0   'False
      Width           =   1215
   End
End
Attribute VB_Name = "frmRunning"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'  FILE:       frmRunning.frm
'              Microsoft TPC-H Kit Ver. 2.7.0-1005
'              Copyright Microsoft, 2008
'              All Rights Reserved
'
'
'  PURPOSE:    Run Status form
'  Contact:    Reshma Tharamal (reshmat@microsoft.com)
'
Option Explicit

Private WithEvents cRunWsp As cRunWorkspace
Attribute cRunWsp.VB_VarHelpID = -1

Private Sub cmdRefresh_Click()

    ' Call a procedure to refresh the view
    Call RunStatus.RefreshGrid(Me.msSteps)
    
End Sub


Private Sub cmdStopRun_Click()
    
    ' Processing should be identical to frmMain.mnuFileStop_Click
    
    On Error GoTo mnuFileStop_ClickErr
    
    Call RunStatus.ConfirmStopRun
    
    Exit Sub
    
mnuFileStop_ClickErr:
    ' Log the VB error code
    LogErrors Errors
    ' Errors if any have been displayed by the called procedure

End Sub

Private Sub Form_Resize()

    Call ResizeGrid
    
End Sub


